omc:
  mmlManagement:
    display: "MML Management"
    mml:
      - operation: "lst"
        object: "mmlcmd"
        display: "List MML Command"
        params:
          - name: "category"
            alias: "ne_type"
            type: "string"
            optional: "true"
            apostr: "true"
            filter: ""
            display: "Category"
            comment: ""
          - name: "operation"
            alias: "operation"
            type: "string"
            optional: "true"
            apostr: "true"
            filter: ""
            display: "Operation"
            comment: ""            
          - name: "object"
            alias: "object"
            type: "string"
            optional: "true"
            apostr: "true"
            filter: ""
            display: "Object"
            comment: ""    
  systemManagement:
    display: "System Management"
    mml:
      - operation: "dsp"
        object: "sysinfo"
        display: "Display NE System Information"
        params:
          - name: "netype"
            alias: "neType"
            type: "string"
            optional: "true"
            apostr: "false"
            filter: ""
            display: "NE type"
            comment: ""
          - name: "neid"
            alias: "neId"
            type: "string"
            optional: "true"
            filter: ""
            display: "NE ID"
            comment: ""
  licenseManagement:
    display: "License Management"
    mml:            
      - operation: "dsp"
        object: "licenseinfo"
        display: "Display NE License Information"
        params:
          - name: "netype"
            alias: "neType"
            type: "string"
            optional: "true"
            apostr: "false"
            filter: ""
            display: "NE type"
            comment: ""
          - name: "neid"
            alias: "neId"
            type: "string"
            optional: "true"
            filter: ""
            display: "NE ID"
            comment: ""                                      
      - operation: "lst"
        object: "license"
        display: "List NE License Information"
        params:
          - name: "netype"
            alias: "ne_type"
            type: "string"
            optional: "true"
            apostr: "true"
            filter: ""
            display: "NE type"
            comment: ""
          - name: "neid"
            alias: "ne_id"
            type: "string"
            optional: "true"
            apostr: "true"
            filter: ""
            display: "NE ID"
            comment: "" 
      - operation: "dep"
        object: "license"
        display: "Deployment NE License"
        params:
          - name: "srcnetype"
            alias: "ne_type"
            type: "string"
            optional: "false"
            apostr: "true"
            filter: ""
            display: "Source NE type"
            comment: ""
          - name: "srcneid"
            alias: "ne_id"
            type: "string"
            optional: "false"
            filter: ""
            display: "Source NE ID"
            comment: "" 
          - name: "dstnetype"
            alias: "ne_type"
            type: "string"
            optional: "false"
            apostr: "false"
            filter: ""
            display: "Destination NE type"
            comment: ""
          - name: "dstneid"
            alias: "ne_id"
            type: "string"
            optional: "false"
            filter: ""
            display: "Destination NE ID"
            comment: ""
          - name: "number"
            alias: "dep_number"
            type: "int"
            optional: "false"
            filter: ""
            display: "Deployment number"
            comment: "" 
      - operation: "rel"
        object: "license"
        display: "Batch Release NE License"
        params:
          - name: "netype"
            alias: "ne_type"
            type: "string"
            optional: "true"
            apostr: "true"
            loc: "true"
            filter: ""
            display: "NE type"
            comment: ""
          - name: "neid"
            alias: "ne_id"
            type: "string"
            optional: "true"
            apostr: "true"
            loc: "true"
            filter: ""
            display: "NE ID"
            comment: ""
          - name: "capcity"
            alias: "capcity"
            type: "int"
            optional: "false"
            apostr: "false"
            loc: "false"
            filter: ""
            display: "Release number"
            comment: "" 
      - operation: "ins"
        object: "license"
        display: "Install NE License"
        params:
          - name: "netype"
            alias: "ne_type"
            type: "string"
            optional: "false"
            apostr: "true"
            loc: "true"
            filter: ""
            display: "NE type"
            comment: ""
          - name: "neid"
            alias: "ne_id"
            type: "string"
            optional: "false"
            apostr: "true"
            loc: "true"
            filter: ""
            display: "NE ID"
            comment: ""
          - name: "capcity"
            alias: "capcity"
            type: "int"
            optional: "false"
            loc: "false"
            filter: ""
            display: "Install number"
            comment: ""
      - operation: "adj"
        object: "license"
        display: "Adjustment NE License"
        params:
          - name: "netype"
            alias: "ne_type"
            type: "string"
            optional: "true"
            apostr: "true"
            loc: "true"
            filter: ""
            display: "NE type"
            comment: ""
          - name: "neid"
            alias: "ne_id"
            type: "string"
            optional: "true"
            apostr: "true"
            loc: "true"
            filter: ""
            display: "NE ID"
            comment: ""
          - name: "number"
            alias: "number"
            type: "int"
            optional: "false"
            loc: "false"
            filter: ""
            display: "Adjustment number"
            comment: ""
      - operation: "exp"
        object: "license"
        display: "Export NE License"
        params:
          - name: "netype"
            alias: "ne_type"
            type: "string"
            optional: "true"
            apostr: "true"
            filter: ""
            display: "NE type"
            comment: ""
          - name: "neid"
            alias: "ne_id"
            type: "string"
            optional: "true"
            apostr: "true"
            filter: ""
            display: "NE ID"
            comment: ""
      - operation: "uni"
        object: "license"
        display: "Uninstall NE License"
        params:
          - name: "netype"
            alias: "ne_type"
            type: "string"
            optional: "false"
            apostr: "true"
            filter: ""
            display: "NE type"
            comment: ""
          - name: "neid"
            alias: "ne_id"
            type: "string"
            optional: "false"
            apostr: "true"
            filter: ""
            display: "NE ID"
            comment: ""                                                                                                                                                         
      - operation: "dsp"
        object: "nelink"
        display: "Display NE Interface Link Status"
        params:
          - name: "netype"
            alias: "ne_type"
            type: "string"
            optional: "true"
            apostr: "false"
            filter: ""
            display: "NE type"
            comment: ""
          - name: "neid"
            alias: "ne_id"
            type: "string"
            optional: "true"
            filter: ""
            display: "NE ID"
            comment: ""                        
          - name: "interface"
            alias: "interface"
            type: "string"
            optional: "true"
            filter: ""
            display: "Interface"
            comment: ""
  nrmManagement:
    display: "NBI Resourece Management"
    mml:
      - operation: "dsp"
        object: "nbicm"
        display: "Display NBI Resource Management"
        params:
          - name: "netype"
            alias: "ne_type"
            type: "string"
            optional: "true"
            apostr: "true"
            filter: ""
            display: "NE type"
            comment: ""
          - name: "neid"
            alias: "ne_id"
            type: "string"
            optional: "true"
            apostr: "true"
            filter: ""
            display: "NE ID"
            comment: ""            
          - name: "rmuid"
            alias: "rm_uid"
            type: "string"
            optional: "true"
            apostr: "true"
            filter: ""
            display: "Resource management UID"
            comment: ""                                 
  neManagement:
    display: "Network Element Management"
    mml:
      - operation: "lst"
        object: "neinfo"
        display: "List NE Information"
        params:
          - name: "netype"
            alias: "ne_type"
            type: "string"
            optional: "true"
            apostr: "true"
            filter: ""
            display: "NE type"
            comment: ""
          - name: "neid"
            alias: "ne_id"
            type: "string"
            optional: "true"
            apostr: "true"
            filter: ""
            display: "NE ID"
            comment: ""            
          - name: "rmuid"
            alias: "rm_uid"
            type: "string"
            optional: "true"
            apostr: "true"
            filter: ""
            display: "Resource management UID"
            comment: ""  
      - operation: "lst"
        object: "memap"
        display: "List Managed Element Map"
        params:
          - name: "rmuid"
            alias: "rm_uid"
            type: "string"
            optional: "true"
            apostr: "true"
            filter: ""
            display: "Resource management UID"
            comment: ""                 
      - operation: "add"
        object: "neinfo"
        display: "Add Network Element"
        params:
          - name: "netype"
            alias: "ne_type"
            type: "string"
            optional: "false"
            apostr: "false"
            loc: "false"
            filter: ""
            display: "NE type"
            comment: ""
          - name: "neid"
            alias: "ne_id"
            type: "string"
            optional: "false"
            apostr: "false"
            loc: "false"
            filter: ""
            display: "NE ID"
            comment: ""            
          - name: "rmuid"
            alias: "rm_uid"
            type: "string"
            optional: "false"
            apostr: "false"
            loc: "false"
            filter: ""
            display: "Resource management UID"
            comment: "" 
          - name: "ip"
            alias: "ip"
            type: "string"
            optional: "false"
            apostr: "false"
            loc: "false"
            filter: ""
            display: "IP address"
            comment: ""             
          - name: "port"
            alias: "port"
            type: "string"
            optional: "false"
            apostr: "false"
            loc: "false"
            filter: ""
            display: "Port"
            comment: ""           
          - name: "nename"
            alias: "ne_name"
            type: "string"
            optional: "false"
            apostr: "false"
            loc: "false"
            filter: ""
            display: "NE name"
            comment: "" 
          - name: "pvflag"
            alias: "pv_flag"
            type: "string"
            optional: "false"
            apostr: "false"
            loc: "false"
            filter: ""
            display: "PV flag"
            comment: ""                                    
      - operation: "mod"
        object: "neinfo"
        display: "Modify Network Element"
        params:
          - name: "netype"
            alias: "ne_type"
            type: "string"
            optional: "false"
            apostr: "true"
            loc: "true"
            filter: ""
            display: "NE type"
            comment: ""
          - name: "neid"
            alias: "ne_id"
            type: "string"
            optional: "false"
            apostr: "true"
            loc: "true"
            filter: ""
            display: "NE ID"
            comment: ""            
          - name: "rmuid"
            alias: "rm_uid"
            type: "string"
            optional: "true"
            apostr: "false"
            loc: "false"
            filter: ""
            display: "Resource management UID"
            comment: "" 
          - name: "ip"
            alias: "ip"
            type: "string"
            optional: "true"
            apostr: "false"
            loc: "false"
            filter: ""
            display: "IP address"
            comment: ""             
          - name: "port"
            alias: "port"
            type: "string"
            optional: "true"
            apostr: "false"
            loc: "false"
            filter: ""
            display: "Port"
            comment: ""           
          - name: "nename"
            alias: "ne_name"
            type: "string"
            optional: "true"
            apostr: "false"
            loc: "false"
            filter: ""
            display: "NE name"
            comment: "" 
          - name: "pvflag"
            alias: "pv_flag"
            type: "string"
            optional: "true"
            apostr: "false"
            loc: "false"
            filter: ""
            display: "PV flag"
            comment: ""                   
      - operation: "del"
        object: "neinfo"
        display: "Delete Network Element"
        params:
          - name: "netype"
            alias: "ne_type"          
            type: "string"
            optional: "false"
            apostr: "true"
            filter: ""
            display: "NE type"
            comment: ""
          - name: "neid"
            alias: "ne_id"          
            type: "string"
            optional: "false"
            apostr: "true"
            filter: ""
            display: "NE ID"
            comment: "" 
  neConfigManagement:
    display: "NE Config Parameter Management"
    mml:            
      - operation: "dsp"
        object: "neconfig"
        display: "Display NE Config Parameter"
        params:
          - name: "netype"
            alias: "ne_type"
            type: "string"
            optional: "true"
            apostr: "true"
            loc: "true"
            filter: ""
            display: "NE type"
            comment: ""
          - name: "neid"
            alias: "ne_id"
            type: "string"
            optional: "true"
            apostr: "true"
            loc: "true"
            filter: ""
            display: "NE ID"
            comment: ""            
          - name: "tag"
            alias: "top_tag"
            type: "string"
            optional: "true"
            apostr: "true"
            loc: "true"
            filter: ""
            display: "Parameter tag"
            comment: ""             
  neVersionManagement:
    display: "NE Version Management"
    mml:            
      - operation: "upg"
        object: "neversion"
        display: "Upgrade NE Software Version"
        params:
          - name: "netype"
            alias: "ne_type"
            type: "string"
            optional: "false"
            apostr: "true"
            loc: "true"
            filter: ""
            display: "NE type"
            comment: ""
          - name: "neid"
            alias: "ne_id"
            type: "string"
            optional: "false"
            apostr: "true"
            loc: "true"
            filter: ""
            display: "NE ID"
            comment: ""            
          - name: "version"
            alias: "version"
            type: "string"
            optional: "false"
            apostr: "true"
            loc: "true"
            filter: ""
            display: "Version"
            comment: "" 
  faultManagement:
    display: "Fault Management"
    mml:
      - operation: "dsp"
        object: "alarm"
        display: "Display Alarm Information"
        params:
          - name: "netype"
            alias: "ne_type"
            type: "string"
            optional: "true"
            apostr: "true"
            loc: "true"
            filter: ""
            display: "NE type"
            comment: ""
          - name: "neid"
            alias: "ne_id"
            type: "string"
            optional: "true"
            apostr: "true"
            loc: "true"
            filter: ""
            display: "NE UID"
            comment: ""            
          - name: "nename"
            alias: "ne_name"
            type: "int"
            optional: "true"
            apostr: "true"
            filter: ""
            display: "NE name"
            comment: ""
          - name: "alarmcode"
            alias: "alarm_code"
            type: "int"
            optional: "true"
            apostr: "true"
            filter: ""
            display: "Alarm code"
            comment: ""
          - name: "origseverity"
            alias: "orig_severity"
            type: "enum"
            optional: "true"
            apostr: "true"
            filter: '{"Critical","Major","Minor","Warning","Event"}'
            display: "Original severity"
            comment: ""
          - name: "pvflag"
            alias: "pv_flag"
            type: "string"
            optional: "true"
            apostr: "true"
            filter: ""
            display: "PV flag"
            comment: ""                   
          - name: "starttime"
            alias: "event_time>"
            type: "string"
            optional: "true"
            apostr: "true"
            filter: ""
            display: "Alarm event start time"
            comment: ""                       
          - name: "endtime"
            alias: "event_time<"
            type: "string"
            optional: "true"
            apostr: "true"
            filter: ""
            display: "Alarm event end time"
            comment: ""    
          - name: "alarmtype"
            alias: "alarm_type"
            type: "enum"
            optional: "true"
            apostr: "true"
            filter: '{"CommunicationAlarm","EquipmentAlarm","ProcessingFailure","EnvironmentalAlarm","QualityOfServiceAlarm"}'
            display: "Alarm type"
            comment: ""
          - name: "alarmstatus"
            alias: "alarm_status"
            type: "int"
            optional: "true"
            apostr: "true"
            filter: ""
            display: "Alarm status"
            comment: ""
  pmTaskManagement:
    display: "Performance Measure Task Management"
    mml:
      - operation: "lst"
        object: "measuretask"
        display: "List Performance Measure Task"
        params:
          - name: "id"
            alias: "id"
            type: "string"
            optional: "true"
            apostr: "false"
            loc: "true"
            filter: ""
            display: "Task ID"
            comment: ""         
          - name: "netype"
            alias: "ne_type"
            type: "string"
            optional: "true"
            apostr: "true"
            filter: ""
            display: "NE type"
            comment: ""
          - name: "granuloption"
            alias: "granul_option"
            type: "string"
            optional: "true"
            apostr: "true"
            filter: ""
            display: "Time granularity"
            comment: ""                               
      - operation: "add"
        object: "measuretask"
        display: "Add Performance Measure Task"
        params:
          - name: "netype"
            alias: "ne_type"
            type: "string"
            optional: "false"
            apostr: "false"
            loc: "false"
            filter: ""
            display: "NE type"
            comment: ""
          - name: "neids"
            alias: "ne_ids"
            type: "array"
            optional: "false"
            apostr: "false"
            loc: "false"
            filter: ""
            display: "NE ID set"
            comment: ""            
          - name: "granuloption"
            alias: "granul_option"
            type: "string"
            optional: "false"
            apostr: "false"
            loc: "false"
            filter: ""
            display: "Granularity option"
            comment: ""            
          - name: "kpiset"
            alias: "kpi_set"
            type: "json"
            optional: "false"
            apostr: "false"
            loc: "false"
            filter: ""
            display: "KPI set"
            comment: "" 
          - name: "starttime"
            alias: "start_time"
            type: "string"
            optional: "false"
            apostr: "false"
            loc: "false"
            filter: ""
            display: "Measure task start time"
            comment: ""   
          - name: "endtime"
            alias: "end_time"
            type: "string"
            optional: "false"
            apostr: "false"
            loc: "false"
            filter: ""
            display: "Measure task end time"
            comment: ""                                            
      - operation: "mod"
        object: "measuretask"
        display: "Modify Performance Measure Task"
        params:
          - name: "id"
            alias: "id"
            type: "string"
            optional: "false"
            apostr: "false"
            loc: "true"
            filter: ""
            display: "Task ID"
            comment: ""        
          - name: "kpiset"
            alias: "kpi_set"
            type: "json"
            optional: "true"
            apostr: "false"
            loc: "false"
            filter: ""
            display: "KPI set"
            comment: "" 
          - name: "starttime"
            alias: "start_time"
            type: "string"
            optional: "true"
            apostr: "false"
            loc: "false"
            filter: ""
            display: "Measure task start time"
            comment: ""   
          - name: "endtime"
            alias: "end_time"
            type: "string"
            optional: "true"
            apostr: "false"
            loc: "false"
            filter: ""
            display: "Measure task end time"
            comment: "" 
          - name: "granuloption"
            alias: "granul_option"
            type: "string"
            optional: "true"
            apostr: "false"
            loc: "false"
            filter: ""
            display: "granularity option"
            comment: ""
      - operation: "del"
        object: "measuretask"
        display: "Delete Performance Measure Task"
        params:
          - name: "id"
            alias: "id"
            type: "string"
            optional: "false"
            apostr: "false"
            loc: "true"
            filter: ""
            display: "Task ID"
            comment: ""
      - operation: "act"
        object: "measuretask"
        display: "Active Performance Measure Task"
        params:
          - name: "id"
            alias: "id"
            type: "string"
            optional: "false"
            apostr: "false"
            loc: "true"
            filter: ""
            display: "Task ID"
            comment: "" 
      - operation: "dea"
        object: "measuretask"
        display: "Deactive Performance Measure Task"
        params:
          - name: "id"
            alias: "id"
            type: "string"
            optional: "false"
            apostr: "false"
            loc: "true"
            filter: ""
            display: "Task ID"
            comment: ""                                                            
  pmDataManagement:
    display: "Performance Data Management"
    mml:
      - operation: "lst"
        object: "measuredata"
        display: "List Performance Data"
        params:
          - name: "id"
            alias: "task_id"
            type: "string"
            optional: "true"
            apostr: "false"
            loc: "true"
            filter: ""
            display: "Task ID"
            comment: ""        
          - name: "netype"
            alias: "ne_type"
            type: "string"
            optional: "true"
            apostr: "true"
            loc: "true"
            filter: ""
            display: "NE type"
            comment: ""
          - name: "kpiid"
            alias: "kpi_id"
            type: "string"
            optional: "true"
            apostr: "true"
            loc: "true"
            filter: ""
            display: "NE type"
            comment: ""            
          - name: "starttime"
            alias: "start_time>"
            type: "string"
            optional: "true"
            apostr: "false"
            filter: ""
            display: "Measure period start time(>=)"
            comment: ""                       
          - name: "endtime"
            alias: "start_time<"
            type: "string"
            optional: "true"
            apostr: "false"
            filter: ""
            display: "Measure period start time(<=)"
            comment: ""    
  logManagement:
    display: "Log Management"
    mml:
      - operation: "lst"
        object: "systemlog"
        display: "List System Log"
        params:
          - name: "processtype"
            alias: "process_type"
            type: "string"
            optional: "true"
            apostr: "true"
            loc: "true"
            filter: ""
            display: "Process type"
            comment: ""        
          - name: "starttime"
            alias: "log_time>"
            type: "string"
            optional: "true"
            apostr: "true"
            filter: ""
            display: "Log time more than"
            comment: ""                       
          - name: "endtime"
            alias: "log_time<"
            type: "string"
            optional: "true"
            apostr: "true"
            filter: ""
            display: "Log time less than"
            comment: ""        
      - operation: "lst"
        object: "operationlog"
        display: "List Operation Log"
        params:
          - name: "accountid"
            alias: "account_name"
            type: "string"
            optional: "true"
            apostr: "true"
            loc: "true"
            filter: ""
            display: "Account ID"
            comment: ""        
          - name: "starttime"
            alias: "log_time>"
            type: "string"
            optional: "true"
            apostr: "true"
            filter: ""
            display: "Log time more than"
            comment: ""                       
          - name: "endtime"
            alias: "log_time<"
            type: "string"
            optional: "true"
            apostr: "true"
            filter: ""
            display: "Log Time Less Than"
            comment: ""    
      - operation: "lst"
        object: "securitylog"
        display: "List Security Log"
        params:
          - name: "accountid"
            alias: "account_name"
            type: "string"
            optional: "true"
            apostr: "true"
            loc: "true"
            filter: ""
            display: "Account ID"
            comment: ""        
          - name: "starttime"
            alias: "op_time>"
            type: "string"
            optional: "true"
            apostr: "true"
            filter: ""
            display: "Log time more than"
            comment: ""                       
          - name: "endtime"
            alias: "op_time<"
            type: "string"
            optional: "true"
            apostr: "true"
            filter: ""
            display: "Log time less than"
            comment: ""    
      - operation: "lst"
        object: "alarmlog"
        display: "List Alarm Log"
        params:
          - name: "netype"
            alias: "ne_type"
            type: "string"
            optional: "true"
            apostr: "true"
            filter: ""
            display: "NE type"
            comment: ""     
          - name: "starttime"
            alias: "log_time>"
            type: "string"
            optional: "true"
            apostr: "true"
            filter: ""
            display: "Log time(>=)"
            comment: ""                       
          - name: "endtime"
            alias: "log_time<"
            type: "string"
            optional: "true"
            apostr: "true"
            filter: ""
            display: "Log time less than"
            comment: ""
      - operation: "lst"
        object: "eventlog"
        display: "List NE Event Log"
        params:
          - name: "netype"
            alias: "ne_type"
            type: "string"
            optional: "true"
            apostr: "true"
            loc: "true"
            filter: ""
            display: "NE type"
            comment: ""
          - name: "neid"
            alias: "ne_id"
            type: "string"
            optional: "true"
            apostr: "true"
            loc: "true"
            filter: ""
            display: "NE ID"
            comment: ""                     
          - name: "starttime"
            alias: "log_time>"
            type: "string"
            optional: "true"
            apostr: "true"
            filter: ""
            display: "Log time(>=)"
            comment: ""                       
          - name: "endtime"
            alias: "log_time<"
            type: "string"
            optional: "true"
            apostr: "true"
            filter: ""
            display: "Log time(<=)"
            comment: "" 
  systemCommand:
    display: "Linux System Command"
    mml:
      - operation: "run"
        object: "shell"
        display: "Run Shell Command"
        params:
          - name: "cmd"
            alias: "cmd"
            type: "string"
            optional: "false"
            apostr: "true"
            loc: "false"
            filter: ""
            display: "Shell command"
            comment: ""        